### Constructor

# Gtk.MediaFile.new_for_filename

#### Declaration [src]

    GtkMediaStream*
    gtk_media_file_new_for_filename (
      const char* filename
    )

#### Description [src]

Creates a new media file for the given filename.

This is a utility function that converts the given `filename` to a `GFile` and calls `gtk_media_file_new_for_file()`.

#### Parameters

`filename` | `const char*`
| filename to open
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `GtkMediaFile`
a new `GtkMediaFile` playing `filename`
Ownership of the data is transferred to the caller